var websocket;

function connectSocket() {  
    websocket = new WebSocket("ws://127.0.0.1:7101/WebSocketDemo7-WebSocket-context-root/service");    
    websocket.onmessage = onMessage;   
    websocket.onerror = onError;
    websocket.onclose = onClose;

    console.log('***** WebSocket has been opened')
}

function onError(evt) {
  console.log('***** WebSocket error :' + evt);
}

function onClose(evt) {
  console.log('***** WebSocket has been closed. Reason:' + evt.reason);
}

function onMessage(evt) {
    // Processing on message receive
    console.log("***** Message from WebSocket service received: "+evt);
    refreshJs();
}