package dbnotification;

import oracle.jdbc.dcn.DatabaseChangeEvent;
import oracle.jdbc.dcn.DatabaseChangeListener;

import websocket.Service;


class DBChangeNotificationListener implements DatabaseChangeListener
{
  DBChangeNotification controller;
  DBChangeNotificationListener(DBChangeNotification ctrl)
  {
    controller = ctrl;
  }
  
  public void onDatabaseChangeNotification(DatabaseChangeEvent e)
  {
    System.out.println("***** DBChange Listener: Notification from DB received");
      Service.SendMessageToClient("dummy");
  }
  
  
}